.placeholder {
    width: $space * 14;
    height: $space * 14;
    border-radius: $space * 7;
}

.circle {
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: $space * 7;
    font-weight: bold;
    font-size: $font-size-xlarge;

    .icon {
        width: $space * 8;
        height: $space * 8;
    }

    &.color-A,
    &.color-F,
    &.color-K,
    &.color-Y,
    &.color-Z
    {
        background-color: rgba(28, 164, 92, 0.4);
        color: #1ca45c;
    }

    &.color-B,
    &.color-G,
    &.color-L,
    &.color-X
    {
        background-color: rgba(255, 199, 24, 0.4);
        color: #ffc718;
    }

    &.color-C,
    &.color-H,
    &.color-M,
    &.color-W
    {
        background-color: rgba(255, 158, 15, 0.4);
        color: #ff9e0f;
    }

    &.color-D,
    &.color-I,
    &.color-N,
    &.color-V
    {
        background-color: rgba(218, 72, 59, 0.4);
        color: #da483b;
    }

    &.color-E,
    &.color-J,
    &.color-O,
    &.color-U
    {
        background-color: rgba(68, 134, 244, 0.4);
        color: #4486f4;
    }

    &.color-P,
    &.color-Q,
    &.color-R,
    &.color-S,
    &.color-T,
    {
        background-color: rgba(141, 196, 79, 0.4);
        color: #8dc44f;
    }
}
